Fan app
An artist's or organisation's public music, releases and shows for its branded fan app, no sign-in.
Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120curl -X GET "https://example.com/api/v1/public/fan/organisations/string"Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120Query Parameters
status?string
Value in
- "released"
- "upcoming"
limit?|string
offset?|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/tracks"Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120trackId*|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/tracks/1"Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120trackId*|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/tracks/1/stream"Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120Query Parameters
limit?|string
offset?|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/albums"Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120albumId*|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/albums/1"Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120Query Parameters
limit?|string
curl -X GET "https://example.com/api/v1/public/fan/organisations/string/events"Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120TypeScript Definitions
Use the request body type in TypeScript.
curl -X POST "https://example.com/api/v1/public/fan/organisations/string/fans" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'Path Parameters
kind*string
Value in
- "organisations"
- "teams"
slug*string
Length
length <= 120TypeScript Definitions
Use the request body type in TypeScript.
curl -X DELETE "https://example.com/api/v1/public/fan/organisations/string/fans" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'Was this helpful?